Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003029 [JEDI VCL] 00 JVCL Components minor always 2005-06-10 14:11 2006-02-19 09:39
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003029: SubMenu arrow in TJvPopupMenu painted on the left when compiled with Delphi 2005
Description To replicate
- Drop in a Form a TJvMainMenu
- Drop a TJvToolbar
- Assign the Menu property of the toolbar to the JvMainMenu
- Populate the Menu with items having at least one submenu.
- Run the application and notice that the arrows of the submenus are painted on the right and not on the left.
Additional Information This error does not appear in Delphi 7.
TJvToolbar displays correctly a standard TMainMenu.
A standard TToolbar connected to a TJvMainMenu does not exhibit this problem, however it does not use the styles of TJvMainMenu.
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0002767resolvedobones TJvPopupMenu have crazy item text align at first draw with msStandard Style 

-  Notes
(0007413)
anonymous (viewer)
2005-06-10 14:21

Another easier way to replicate this error.

Compile and Run the Example program for JvMenu in the distribution using D2005.
Click on the "Nice" menu on the toolbar and notice the drawing of the submenu arrow on the last item "Sub".
(0007416)
obones (administrator)
2005-06-11 02:23

Well, yes, why would you want them on the left ?
The arrow on the right is standard behaviour I don't understand why you consider this to be an error.
Or are you running in a "Right To Left" setup ?
(0007427)
anonymous (viewer)
2005-06-11 20:31

My fault.

The arrow appears on the left and not on the right as standard!!

To replicate
Compile and Run the Example program for JvMenu in the distribution using D2005.
Click on the "Nice" menu on the toolbar and notice the drawing of the submenu arrow on the last item "Sub". It is on the left!
(0007478)
obones (administrator)
2005-06-17 02:15

This is a TJvPopupMenu problem and only happens the first time the menu is shown after it has been created.
(0008571)
obones (administrator)
2006-02-19 09:39

At least, this is now resolved in CVS.

- Issue History
Date Modified Username Field Change
2005-06-10 14:11 anonymous New Issue
2005-06-10 14:21 anonymous Note Added: 0007413
2005-06-11 02:23 obones Note Added: 0007416
2005-06-11 02:23 obones Status new => feedback
2005-06-11 20:31 anonymous Note Added: 0007427
2005-06-17 02:15 obones Note Added: 0007478
2005-06-17 02:15 obones Assigned To => obones
2005-06-17 02:15 obones Status feedback => assigned
2005-06-17 02:15 obones Summary JvMenu Painting error when linked to a JvToolBar in Delphi 2005 => SubMenu arrow in TJvPopupMenu painted on the left when compiled with Delphi 2005
2006-02-19 09:39 obones Status assigned => resolved
2006-02-19 09:39 obones Resolution open => fixed
2006-02-19 09:39 obones Note Added: 0008571
2006-02-19 09:49 obones Relationship added has duplicate 0002767


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker